---
title: CSSNamespaceRule.namespaceURI
slug: Web/API/CSSNamespaceRule/namespaceURI
tags:
  - API
  - CSSNamespaceRule
  - CSSOM
  - Property
  - Reference
  - namespaceURI
---
<p>{{ APIRef("CSSOM") }}</p>

<p>The <strong><code>CSSNamespaceRule.namespaceURI</code></strong> read-only property returns a {{domxref("DOMString")}} containing the text of the URI of the given namespace.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>namespaceURI</em> = CSSNamespaceRule.namespaceURI</pre>

<h3 id="Returns">Returns</h3>

<p>A {{domxref("DOMString")}} containing a URI.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSSOM','#dom-cssnamespacerule-namespaceuri','namespaceURI')}}</td>
   <td>{{Spec2('CSSOM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSNamespaceRule.namespaceURI")}}</p>
